# $Revision: 1.14 $, $Date: 2005/01/05 22:46:41 $
Summary:	Simple Jabber client
Summary(pl):	Prosty klient Jabbera
Name:		kf
Version:	0.2
Release:	2
License:	GPL v2
Group:		Applications/Communications
Source0:	http://www.habazie.rams.pl/%{name}/files/%{name}-%{version}.tar.gz
# Source0-md5:	61091daffbd03ef4eb3155df3abed0ca
Source1:	%{name}.desktop
URL:		http://www.habazie.rams.pl/kf/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	gtkspell-devel >= 2.0.5
BuildRequires:	intltool
BuildRequires:	libglade2-devel >= 2.0.0
BuildRequires:	libtool
BuildRequires:	loudmouth-devel >= 0.16
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Komunikator Fisha is a simple Jabber client using GTK+2 Toolkit.

%description -l pl
Komunikator Fisha jest prostym klientem Jabbera uywajcym biblioteki
GTK+2.

%prep
%setup -q

%build
glib-gettextize --copy --force
%{__libtoolize}
intltoolize --copy --force
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install data/%{name}.png $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
mv $RPM_BUILD_ROOT/%{_bindir}/%{name} $RPM_BUILD_ROOT/%{_bindir}/%{name}isha

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kf.spec,v $
Revision 1.14  2005/01/05 22:46:41  havner
- rel 2 for aspell 0.50 rebuild

Revision 1.13  2004/12/08 10:32:09  paladine
- updated to 0.2 STBR

Revision 1.12  2004/11/27 18:52:08  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.11  2004/11/27 15:17:06  zbyniu
- BR: pkgconfig

Revision 1.10  2004/10/03 13:53:10  paladine
- updated to 0.1.8
- rel 1 (builds and works)

Revision 1.9  2004/09/24 12:13:51  paladine
- correct md5

Revision 1.8  2004/09/24 12:10:50  paladine
- updated to 0.1.7.1 (bugfix release)
- added desktop file
- mv /usr/bin/kf /usr/bin/kfisha (conflicts with heimdal)

Revision 1.7  2004/09/23 21:16:48  paszczus
- updated to 0.1.7

Revision 1.6  2004/09/05 19:37:26  paszczus
- updated to 0.1.6

Revision 1.5  2004/05/24 16:19:23  freetz
- md5

Revision 1.4  2004/05/24 16:02:55  freetz
- 0.1.4.1 (bugfix against gcc 3.4)
- BR gtkspell-devel
- added packages versions to BRs
  NFY

Revision 1.3  2004/05/23 22:09:20  paszczus
- updated to 0.1.4
- updated Source0 and URL

Revision 1.2  2004/05/13 17:17:35  ankry
- spaces -> tabs, other cosmetics

Revision 1.1  2004/02/06 20:59:42  freetz
- initial PLD release
